umbrello: MultiPageDialogBase Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Types | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | Private Slots | List of all members
MultiPageDialogBase Class Reference

`#include <multipagedialogbase.h>`

Inheritance diagram for MultiPageDialogBase:

## Public Types
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...

## Signals
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()

## Public Member Functions
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Slots
void | slotEnableButtonOk (bool state)

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Protected Attributes
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Private Slots
void | slotOkClicked ()
void | slotApplyClicked ()
void | slotDefaultClicked ()
void | slotHelpClicked ()
void | slotButtonClicked (QAbstractButton *button)

## Detailed Description

Base class for property dialogs

MultiPageDialogBase contains common property dialog related methods and attributes In finished state this class provides simple methods to setup common pages like WidgetStyle, FontSetting and others

Author
  Ralf Habacker

Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Enumeration Documentation

## ◆ PageType

enum MultiPageDialogBase::PageType

Available page types.

Enumerator
AutoLayoutPage |
ClassPage |
CodeImportPage |
CodeGenerationPage |
CodeViewerPage |
FontPage |
GeneralPage |
UserInterfacePage |

## Constructor & Destructor Documentation

## ◆ MultiPageDialogBase()

MultiPageDialogBase::MultiPageDialogBase | ( | QWidget * | parent,
|  | bool | withDefaultButton = false )
| explicit

Constructor

## ◆ ~MultiPageDialogBase()

MultiPageDialogBase::~MultiPageDialogBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ accept()

void MultiPageDialogBase::accept | ( |  | ) |

## ◆ addPage()

void MultiPageDialogBase::addPage | ( | KPageWidgetItem * | page | ) |

## ◆ apply()

void MultiPageDialogBase::apply | ( |  | ) |

Apply all used pages

## ◆ applyAssociationRolePage()

void MultiPageDialogBase::applyAssociationRolePage | ( |  | ) |
| protected

Save all used pages

## ◆ applyClicked

void MultiPageDialogBase::applyClicked | ( |  | ) |
| signal

## ◆ applyFontPage() [1/4]

void MultiPageDialogBase::applyFontPage | ( | AssociationWidget * | widget | ) |
| protected

updates the font page data

Parameters

  widget | Widget to save the font data into

## ◆ applyFontPage() [2/4]

void MultiPageDialogBase::applyFontPage | ( | Settings::OptionState * | state | ) |
| protected

## ◆ applyFontPage() [3/4]

void MultiPageDialogBase::applyFontPage | ( | UMLScene * | scene | ) |
| protected

updates the font page data

Parameters

  scene | Scene to save the font data into

## ◆ applyFontPage() [4/4]

void MultiPageDialogBase::applyFontPage | ( | UMLWidget * | widget | ) |
| protected

updates the font page data

Parameters

  widget | Widget to save the font data into

## ◆ applyGeneralPage() [1/2]

void MultiPageDialogBase::applyGeneralPage | ( | AssociationWidget * | widget | ) |
| protected

## ◆ applyGeneralPage() [2/2]

void MultiPageDialogBase::applyGeneralPage | ( | MessageWidget * | widget | ) |
| protected

## ◆ applyStylePage()

void MultiPageDialogBase::applyStylePage | ( |  | ) |
| protected

Updates the style page.

## ◆ createPage() [1/2]

QFrame * MultiPageDialogBase::createPage | ( | const QString & | name,
|  | const QString & | header,
|  | Icon_Utils::IconType | icon )
| protected

Create a property page

Parameters

  name | The Text displayed in the page list
  header | The Text displayed above the page
  icon | The icon to display in the page list

Returns
  Pointer to created frame

## ◆ createPage() [2/2]

KPageWidgetItem * MultiPageDialogBase::createPage | ( | const QString & | name,
|  | const QString & | header,
|  | Icon_Utils::IconType | icon,
|  | QWidget * | widget )
| protected

create new page using a dedicated widget

Parameters

  name | The Text displayed in the page list
  header | The Text displayed above the page
  icon | The icon to display in the page list
  widget | Widget to display in the page

Returns
  page widget item instance

## ◆ currentPage()

KPageWidgetItem * MultiPageDialogBase::currentPage | ( |  | ) | const

## ◆ defaultClicked

void MultiPageDialogBase::defaultClicked | ( |  | ) |
| signal

## ◆ exec()

int MultiPageDialogBase::exec | ( |  | ) |

## ◆ isModified()

bool MultiPageDialogBase::isModified | ( |  | ) | const
| virtual

Return state if any data has been changed in the dialog.

Returns
  true data has been changed

## ◆ keyPressEvent()

void MultiPageDialogBase::keyPressEvent | ( | QKeyEvent * | event | ) |
| protectedvirtual

Handle key press event.

Parameters

  event | key press event

## ◆ okClicked

void MultiPageDialogBase::okClicked | ( |  | ) |
| signal

## ◆ reject()

void MultiPageDialogBase::reject | ( |  | ) |

## ◆ resetFontPage()

void MultiPageDialogBase::resetFontPage | ( | QWidget * | widget | ) |
| protected

Set the font page to show the font from the given widget

Parameters

  widget |

## ◆ setCaption()

void MultiPageDialogBase::setCaption | ( | const QString & | caption | ) |

## ◆ setCurrentPage()

void MultiPageDialogBase::setCurrentPage | ( | KPageWidgetItem * | page | ) |

Set current page.

Parameters

  page | the page to set

## ◆ setupAssociationRolePage()

KPageWidgetItem * MultiPageDialogBase::setupAssociationRolePage | ( | AssociationWidget * | widget | ) |
| protected

Sets up the role settings page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupFontPage() [1/3]

KPageWidgetItem * MultiPageDialogBase::setupFontPage | ( | AssociationWidget * | widget | ) |
| protected

Sets up the font selection page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupFontPage() [2/3]

KPageWidgetItem * MultiPageDialogBase::setupFontPage | ( | const QFont & | font | ) |
| protected

Sets up the font selection page.

Parameters

  font | The font to load the initial data from

## ◆ setupFontPage() [3/3]

KPageWidgetItem * MultiPageDialogBase::setupFontPage | ( | UMLWidget * | widget | ) |
| protected

Sets up the font selection page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupGeneralPage() [1/3]

void MultiPageDialogBase::setupGeneralPage | ( | AssociationWidget * | widget | ) |
| protected

Sets up the general settings page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupGeneralPage() [2/3]

KPageWidgetItem * MultiPageDialogBase::setupGeneralPage | ( | MessageWidget * | widget | ) |
| protected

Sets up the general page for operations

Parameters

  widget | The widget to load the initial data from

## ◆ setupGeneralPage() [3/3]

void MultiPageDialogBase::setupGeneralPage | ( | NoteWidget * | widget | ) |
| protected

Sets up the general settings page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupStylePage() [1/2]

KPageWidgetItem * MultiPageDialogBase::setupStylePage | ( | AssociationWidget * | widget | ) |
| protected

Sets up the style page.

Parameters

  widget | The widget to load the initial data from

## ◆ setupStylePage() [2/2]

KPageWidgetItem * MultiPageDialogBase::setupStylePage | ( | WidgetBase * | widget | ) |
| protected

Sets up the style page.

Parameters

  widget | The widget to load the initial data from

## ◆ slotApplyClicked

void MultiPageDialogBase::slotApplyClicked | ( |  | ) |
| privateslot

Handle click on apply button.

## ◆ slotButtonClicked

void MultiPageDialogBase::slotButtonClicked | ( | QAbstractButton * | button | ) |
| privateslot

Button clicked event handler for the dialog button box.

Parameters

  button | the button which was clicked

## ◆ slotDefaultClicked

void MultiPageDialogBase::slotDefaultClicked | ( |  | ) |
| privateslot

Handle click on default button, if enabled in constructor.

## ◆ slotEnableButtonOk

void MultiPageDialogBase::slotEnableButtonOk | ( | bool | state | ) |
| protectedslot

## ◆ slotHelpClicked

void MultiPageDialogBase::slotHelpClicked | ( |  | ) |
| privateslot

Launch khelpcenter.

## ◆ slotOkClicked

void MultiPageDialogBase::slotOkClicked | ( |  | ) |
| privateslot

Handle click on ok button.

## Member Data Documentation

## ◆ m_fontChooser

KFontChooser* MultiPageDialogBase::m_fontChooser
| protected

## ◆ m_isModified

bool MultiPageDialogBase::m_isModified
| protected

## ◆ m_notePage

NotePage* MultiPageDialogBase::m_notePage
| protected

## ◆ m_operationGeneralPage

SelectOperationPage* MultiPageDialogBase::m_operationGeneralPage
| protected

## ◆ m_pageDialog

KPageDialog* MultiPageDialogBase::m_pageDialog
| protected

## ◆ m_pageItem

KPageWidgetItem* MultiPageDialogBase::m_pageItem
| protected

## ◆ m_pageWidget

KPageWidget* MultiPageDialogBase::m_pageWidget
| protected

## ◆ m_pAssocGeneralPage

AssociationGeneralPage* MultiPageDialogBase::m_pAssocGeneralPage
| protected

## ◆ m_pRolePage

AssociationRolePage* MultiPageDialogBase::m_pRolePage
| protected

## ◆ m_pStylePage

UMLWidgetStylePage* MultiPageDialogBase::m_pStylePage
| protected

## ◆ m_useDialog

bool MultiPageDialogBase::m_useDialog
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/multipagedialogbase.h
- umbrello/dialogs/multipagedialogbase.cpp